Subject: bug#78262: 30.1; comint-delchar-or-maybe-eof doesn't respect delete-active-region

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 May 2025 16:36:02 +0300

> From: Sebastián Monía <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 08 May 2025 09:24:31 -0400
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> >> But maybe there's a reason it works like this, and my limited comint
> >> usage misses the point.
> >
> > I'm not a frequent user of comint-derived modes, but is this indeed
> > consistent with what users expect from interactive shells?  AFAIK,
> > shells don't support the notion of "active region" or
> > "delete-selection" or anything similar.  Wouldn't this change in
> > behavior surprise people?  Should we perhaps have it as an opt-in
> > behavior?
> 
> Well, that is a good point.
> The counterargument (emmm from blogs and reddit :) so take it with a
> grain of salt) is that the point of running shells inside Emacs is to
> have all the same editing capabilities, combined with the shell.
> 
> And another data point: I was suprised/annoyed that it didn't behave the
> same as any buffer.
> 
> But there's no harm in putting the new behavior behing a new defcustom
> comint-delete-active-region? 

Yes, that's what I meant by making it an opt-in behavior.